Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 43060 - missing mobile mesh support in gentoo
Summary: missing mobile mesh support in gentoo
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Mobile Herd (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-26 20:53 UTC by Thomas Wimmer
Modified: 2004-09-22 09:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Wimmer 2004-02-26 20:53:26 UTC
i was wondering, why mobile mesh is completely unknown to gentoo.
http://www.mitre.org/work/tech_transfer/mobilemesh/

and of course, i wasnt skilled enough to compile it myself:
(1.4rc4,gentoo-dev-kernel 2.6.2,gcc 3.3.3 )# make depends
g++ -M -g -Wall -I. -Iinclude-fixes -D_GNU_SOURCE *.C > depends.mk
In file included from UtChild.h:34,
                 from BoBorder.h:57,
                 from BoMain.C:26:
UtSequence.h:26:17: stl.h: No such file or directory
In file included from BoBorder.h:60,
                 from BoMain.C:26:
UtUdpSocket.h:33:23: strstream.h: No such file or directory
In file included from BoBorder.h:61,
                 from BoMain.C:26:
UtUnixSocket.h:34:23: strstream.h: No such file or directory
In file included from LnDiscover.h:80,
                 from LnMain.C:26:
UtUdpSocket.h:33:23: strstream.h: No such file or directory
In file included from LnDiscover.h:81,
                 from LnMain.C:26:
UtUnixSocket.h:34:23: strstream.h: No such file or directory
In file included from MmMain.C:26:
MmRouter.h:56:23: strstream.h: No such file or directory
In file included from MmRouter.h:80,
                 from MmMain.C:26:
UtUdpSocket.h:33:23: strstream.h: No such file or directory
In file included from MmRouter.h:81,
                 from MmMain.C:26:
UtUnixSocket.h:34:23: strstream.h: No such file or directory
In file included from ToMain.C:26:
ToDot.h:56:23: strstream.h: No such file or directory
In file included from ToDot.h:77,
                 from ToMain.C:26:
UtUnixSocket.h:34:23: strstream.h: No such file or directory
UtDebug.C:17:17: stl.h: No such file or directory
UtDebug.C:22:23: strstream.h: No such file or directory
In file included from dbUnix.C:26:
UtUnixSocket.h:34:23: strstream.h: No such file or directory
make: *** [depends] Error 1

installing "STLport" and even gcc recompiling did not help :(

i think MM is great!

it would be wonderfull to me and some friends, if there where a ebuild ;)
gentoo rocks ! you all are doing a great job !
Comment 1 Alastair Tse (RETIRED) gentoo-dev 2004-02-27 00:56:26 UTC
maybe because no one has written an ebuild for it
Comment 2 Peter Johanson (RETIRED) gentoo-dev 2004-02-27 09:35:23 UTC
There's prolly no ebuild yet, cause the source is a mess, and needs lots of fixes to the header includes. It's fixable, but a bit of mess.
Comment 3 Doug Goldstein gentoo-dev 2004-09-22 09:33:07 UTC
As per the developers site... Mobile Mesh is built for the 2.2.x kernel series and they say it has little hope of working on 2.3.x... Sounds to me that this needs to be closed out since Gentoo never really supported the 2.2.x series and now defintely does not since we're moving towards 2.6.x. If you still want this in Portage, Tom. Write an ebuild for it that'll work with 2.4 and 2.6, otherwise. It's closed.